summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2012-04-21 18:48:39 (GMT)
committerJames Meyer <james.meyer@operamail.com>2012-04-21 18:48:39 (GMT)
commitf7aa74023962873fbbe1e3efb9b001c1dae1828a (patch)
treea299c216adde0129f6eecac306048a00b0726a84 /abs
parent1acb6351868760d8f9705a5ee4282dfa91cd5252 (diff)
downloadlinhes_pkgbuild-f7aa74023962873fbbe1e3efb9b001c1dae1828a.zip
linhes_pkgbuild-f7aa74023962873fbbe1e3efb9b001c1dae1828a.tar.gz
linhes_pkgbuild-f7aa74023962873fbbe1e3efb9b001c1dae1828a.tar.bz2
mythtv: change pkgbuild to put the commit_hash in the pkgdesc, renable menu patches
Diffstat (limited to 'abs')
m---------abs/core/mythtv/stable-0.25/git_src/mythtv0
-rw-r--r--abs/core/mythtv/stable-0.25/mythtv/PKGBUILD15
-rw-r--r--abs/core/mythtv/stable-0.25/mythtv/menu-xml/mainmenu.xml.patch22
3 files changed, 16 insertions, 21 deletions
diff --git a/abs/core/mythtv/stable-0.25/git_src/mythtv b/abs/core/mythtv/stable-0.25/git_src/mythtv
deleted file mode 160000
-Subproject 76df8e6c8f7b84a157607d8c25fd19f39d8dc83
diff --git a/abs/core/mythtv/stable-0.25/mythtv/PKGBUILD b/abs/core/mythtv/stable-0.25/mythtv/PKGBUILD
index d4e4751..dcecff0 100644
--- a/abs/core/mythtv/stable-0.25/mythtv/PKGBUILD
+++ b/abs/core/mythtv/stable-0.25/mythtv/PKGBUILD
@@ -7,7 +7,8 @@
pkgname=mythtv
pkgver=0.25
pkgrel=1
-pkgdesc="A Homebrew PVR project"
+commit_hash=`cat ../git_src/git_hash`
+pkgdesc="A Homebrew PVR project $commit_hash"
arch=('i686' 'x86_64')
url="http://www.mythtv.org/"
license=('GPL')
@@ -25,15 +26,12 @@ groups=('pvr')
#options=(!strip)
#MAKEFLAGS="-j6"
install='mythtv.install'
-patchs=('myth_settings.patch' 'git_version.patch')
+patchs=('myth_settings.patch')
optdepends=('xmltv: to download tv listings')
-#replaces=('mythtv-contrib')
conflicts=('mythvideo')
source=('mythbackend' 'myth.sh' `echo ${patchs[@]:0}`
'mythbackend.lr' 'mythfrontend.lr' 'pretty' )
-#_gitroot="https://github.com/MythTV/mythtv.git"
-#_gitname="${pkgname}"
build() {
if [ -e ${srcdir}/mythtv ]
@@ -90,9 +88,9 @@ package() {
cp -r ${startdir}/menu-xml/*.xml ${pkgdir}/usr/share/mythtv/themes/defaultmenu/
mv ${pkgdir}/usr/share/mythtv/themes/defaultmenu/is.xml ${pkgdir}/usr/share/mythtv/
cd ${pkgdir}/usr/share/mythtv
-# patch -p0 < ${startdir}/menu-xml/mainmenu.xml.patch || return 1
-# patch -p0 < ${startdir}/menu-xml/optical_menu.xml.patch || return 1
-# patch -p0 < ${startdir}/menu-xml/library.xml.patch || return 1
+ patch -p0 < ${startdir}/menu-xml/mainmenu.xml.patch || return 1
+ patch -p0 < ${startdir}/menu-xml/optical_menu.xml.patch || return 1
+ patch -p0 < ${startdir}/menu-xml/library.xml.patch || return 1
patch -p0 < ${startdir}/menu-xml/util_menu.xml.patch || return 1
# make log dir
@@ -107,7 +105,6 @@ package() {
md5sums=('7ef6de58240e7aad389a0b13d91b1cf6'
'2babd4b8e146a7538d18dcd55695b0be'
'58ab374d2c51b577359ae77385ab3edf'
- '03850677ea69ad83ccb92b4c0819224b'
'f735805a80b0d1180dee01f9df1b7004'
'f407d6af23e74a49540755420f84fa58'
'5469d9921b726db750b991c87d226158')
diff --git a/abs/core/mythtv/stable-0.25/mythtv/menu-xml/mainmenu.xml.patch b/abs/core/mythtv/stable-0.25/mythtv/menu-xml/mainmenu.xml.patch
index 0491803..9b083ac 100644
--- a/abs/core/mythtv/stable-0.25/mythtv/menu-xml/mainmenu.xml.patch
+++ b/abs/core/mythtv/stable-0.25/mythtv/menu-xml/mainmenu.xml.patch
@@ -1,20 +1,18 @@
---- themes/defaultmenu/mainmenu.xml.orig 2010-11-08 22:30:08.000000000 +0000
-+++ themes/defaultmenu/mainmenu.xml 2010-11-08 22:35:51.000000000 +0000
-@@ -2,6 +2,13 @@
+--- themes/defaultmenu/mainmenu.xml.orig 2012-04-21 17:33:52.176349680 +0000
++++ themes/defaultmenu/mainmenu.xml 2012-04-21 17:35:03.369680109 +0000
+@@ -1,5 +1,11 @@
+ <?xml version="1.0" encoding="UTF-8" ?>
<mythmenu name="MAIN">
-
- <button>
++ <button>
+ <type>TV_WATCH_TV</type>
+ <text>Watch TV</text>
+ <description>Watch live television</description>
+ <action>TV_WATCH_LIVE</action>
+ </button>
-+
-+ <button>
+
+ <button>
<type>MENU_MEDIA_LIBRARY</type>
- <text>Media Library</text>
- <action>MENU library.xml</action>
-@@ -31,17 +38,10 @@
+@@ -30,17 +36,10 @@
</button>
<button>
@@ -26,9 +24,9 @@
-
- <button>
<type>MENU_UTILITIES_SETUP</type>
-- <text>Utilities / Setup</text>
+- <text>Setup</text>
- <description>Configure MythTV and plugins</description>
-- <action>MENU util_menu.xml</action>
+- <action>MENU main_settings.xml</action>
+ <text>Service Menu</text>
+ <description>Configure your system</description>
+ <action>MENU linhes.xml</action>